[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#258223: libx11-6: Please add locale support for et_EE.ISO-8859-15

Package: libx11-6
Version: 4.3.0.dfsg.1-5
Severity: wishlist

After some quarrels about fixing et_EE locale to ISO-8859-15 (the
correct Estonian charset), a new locale was added with the right charset:
et_EE.ISO-8859-15. This locale is in Debian now too and works fine but
X11 libs don't support it:

(gnome-calculator:5778): Gdk-WARNING **: locale not supported by Xlib

(gnome-calculator:5778): Gdk-WARNING **: can not set locale modifiers

Would you please add it to the X libraries package so we can use our
fixed locale with all apps.

I wonder why X11 needs a hardcoded list of locales at all instead of
loading the system locale definitions but this is another problem.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.7
Locale: LANG=et_EE.ISO-8859-15, LC_CTYPE=et_EE.ISO-8859-15

Versions of packages libx11-6 depends on:
ii  libc6                     2.3.2.ds1-13   GNU C Library: Shared libraries an
ii  xfree86-common            4.3.0.dfsg.1-5 X Window System (XFree86) infrastr
ii  xlibs-data                4.3.0.dfsg.1-5 X Window System client data

-- no debconf information

Reply to: